{% extends 'base_fullwidth_leaflet.html' %}
{% load i18n %}
{% load static %}
{% block content %}
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="https://momentjs.com/downloads/moment-with-locales.js"></script>
    <div id="acquisitionframework">

    <h1><i class="fa fa-users"></i> Cadre d'acquisition [[object.label]]</h1>
    <p>
        <small>Créée par <b>[[ object.created_by ]]</b> le <b>[[ object.timestamp_create | humanize_ts ]]</b>
            <span v-if="object.updated_by"> et
                mise à jour le <b>[[ object.timestamp_update | humanize_ts ]]</b> par <b>[[ object.updated_by.username ]]</b>
            </span></small>
    </p>
    <div class="row">
        <div class="col-md-12 col-lg-5">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <div class="pull-right btn-group">
                        <a href="{% url 'metadata:organisms_update' pk=object.pk %}" class="btn btn-default btn-xs"><i
                                class="fa fa-edit fa-fw"></i><span class="hidden-xs"> Modifier</span></a>
                        <a href="{% url 'metadata:organisms_delete' pk=object.pk %}" class="btn btn-danger btn-xs"><i
                                class="fa fa-trash fa-fw"></i><span class="hidden-xs"> Supprimer</span></a>
                    </div>
                    <h4 class="panel-title"><i class="fa fa-info-circle fa-fw"></i> Informations</h4>
                </div>
                <div role="panel-body">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="row">
                                    <div class="col-lg-6 col-sm-12">
                                        <label>Nom</label>
                                        <div class="well well-sm">
                                            [[ object.label ]]
                                            <div v-if="object.url" class="pull-right btn-group">
                                                <a :href="object.url" class="btn btn-default btn-xs"><i
                                                        class="fa fa-edit fa-fw"></i><span
                                                        class="hidden-xs"> Site internet</span></a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-sm-12">
                                        <label>UUID</label>
                                        <div class="well well-sm">
                                            [[ object.uuid ]]
                                        </div>
                                    </div>

                                    <div class="col-xs-12 col-sm-6">
                                        <label>description</label>
                                        <div class="well well-sm">[[ object.desc ]]</div>
                                    </div>
                                    <div class="col-xs-12 col-sm-6">
                                        <label>Contextes</label>
                                        <div class="well well-sm"><span v-for="c in object.context" class="label label-success">[[c.label]]<span></div>
                                    </div>
                                    <div class="col-xs-12 col-sm-6">
                                        <label>Objectifs</label>
                                        <div class="well well-sm"><span v-for="o in object.objective" class="label label-info">[[o.label]]<span></div>
                                    </div>
                                    <div class="col-lg-12">
                                        <label>Niveau géographique</label>
                                        <div class="well well-sm">
                                            [[ object.territory_level? object.territory_level.label : '-' ]]
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-6">
                                        <label>Précision</label>
                                        <div class="well well-sm">[[ object.geo_accuracy ? object.geo_accuracy  : '-' ]]
                                        </div>
                                    </div>
                                                                        <div class="col-xs-12 col-sm-12 col-md-6">
                                        <label>Type de financement</label>
                                        <div class="well well-sm">[[ object.financing_type.label ? object.financing_type.label  : '-' ]]
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        {% comment %}


            DONNEES ATTRIBUEES A LA SESSION


        {% endcomment %}
        <div class="col-md-12 col-lg-7">
            {% comment %}

            BLOC1: Espèces observées

            {% endcomment %}
            <div id="accordion" class="panel-group">
                {% comment %}

                    BLOC1: Sessions d'inventaires

                {% endcomment %}
                <div class="panel panel-default panel-info panel-table">
                    <!-- Default panel contents -->
                    <div class="panel-heading">
                        <div class="pull-right btn-group btn-group-xs">
                            {% if object.members.all.count > 0 %}
                                <a class="btn btn-default" data-toggle="collapse" data-parent="#accordion"
                                   href="#collapseMembers" title="voir/cacher la liste"><span
                                        class="caret"></span></a>
                            {% endif %}
                            <a href="#"
                               class="pull-right btn btn-primary btn-xs"><i
                                    class="fi-plus"></i><span class="hidden-xs"> Ajouter</span></a>
                        </div>
                        <h4><i
                                class="fa fa-users"></i> Jeux de données</a>
                            {% if object.members.all.count > 0 %}
                                <a data-toggle="collapse" data-parent="#accordion"
                                   href="#collapseMembers" title="voir/cacher la liste"><span
                                        class="badge">{{ object.members.all.count }}</span></a>
                            {% else %}
                                <span class="badge">{{ object.members.all.count }}</span>
                            {% endif %}
                        </h4>
                    </div>

                    <!-- Table -->
                    {% if object.members.all.count > 0 %}
                        <div id="collapseSighting" class="panel-body">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th>Nom</th>
                                    <th>Prénom</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for m in object.members.all %}
                                    <tr>
                                        <td>{{ m.username }}</td>
                                        <td>{{ m.first_name }} {{ m.last_name }}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
    <script type="application/javascript">
        var app = new Vue({
            el: '#acquisitionframework',
            delimiters: ['[[', ']]'],
            data: {
                object: Object
            },
            mounted() {
                axios
                    .get('{% url 'metadata:acquisition_framework_detail_api' pk=object.pk %}')
                    .then(response => (this.object = response.data))
                    .then(console.log('resp', this.object))
            },
            filters: {
                humanize_ts: function (value) {
                    console.log(moment.locale(),' > ', moment(value).format('L LT'));
                    return moment(value).format('L LT')
                }
            }
        })
    </script>
{% endblock %}
